gnutls_cipher_suite_info(3)

NAME
gnutls_cipher_suite_info - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_cipher_suite_info(size_t idx, char * cs_id, gnutls_kx_algorithm_t * kx, gnutls_cipher_algorithm_t * cipher, gnutls_mac_algorithm_t * mac, gnutls_protocol_t * version);

ARGUMENTS

size_t idx
    index of cipher suite to get information about, starts on 0.

char * cs_id
    output buffer with room for 2 bytes, indicating cipher suite value

gnutls_kx_algorithm_t * kx
    output variable indicating key exchange algorithm, or NULL.

gnutls_cipher_algorithm_t * cipher
    output variable indicating cipher, or NULL.

gnutls_mac_algorithm_t * mac
    output variable indicating MAC algorithm, or NULL.

gnutls_protocol_t * version
    output variable indicating TLS protocol version, or NULL.

DESCRIPTION
Get information about supported cipher suites. Use the function iteratively to get information about all supported cipher suites. Call with idx=0 to get information about first cipher suite, then idx=1 and so on until the function returns NULL.

RETURNS
the name of idx cipher suite, and set the information about the cipher suite in the output variables. If idx is out of bounds, NULL is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.